*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    font-family: Georgia, "Times New Roman", Times, serif;
    scroll-behavior: smooth;
}

body {
    line-height: 1.5;
    font-size: 1.4rem;
}
@media only screen and (max-width: 48em) {
    body {
        font-size: 1.2rem;
    }
}

.container {
    margin: 1%;
    border: 1px solid #000c1a;
    min-height: 100vh;
}

.header {
    display: flex;
    background-color: #000c1a;
    height: 4.5rem;
    padding: 0% 5%;
    align-items: center;
}

.about {
    background-color: #94cbee;
    display: flex;
    padding: 3rem 5rem;
    min-height: 70vh;
    border-radius: 10% 10% 50% 50% / 0% 0% 60% 5%;
}
@media only screen and (max-width: 48em) {
    .about {
        flex-direction: column;
    }
}

.services {
    padding: 3rem 5rem;
    text-align: center;
}

.contact {
    background-color: #000c1a;
    text-align: center;
    padding: 3rem 5rem 1rem;
    color: #bbb;
}

.copyright {
    margin-top: 1rem;
    font-size: 1.5rem;
}

.download {
    min-height: 10vh;
    text-align: center;
}

.logo {
    flex: 0 0 35%;
}
@media only screen and (max-width: 26.5) {
    .logo {
        flex: 0 0 25%;
    }
}
.logo-image {
    height: 3.5rem;
}

.menu {
    flex: 1;
}

.menubar {
    display: flex;
    justify-content: space-evenly;
    list-style: none;
    text-transform: uppercase;
    font-size: 1.2rem;
    font-weight: bold;
}
@media only screen and (max-width: 48em) {
    .menubar {
        font-size: 0.8rem;
    }
}
.menubar-item__link,
.menubar-item__link:visited,
.menubar-item__link:link {
    text-decoration: none;
    color: #666666;
    position: relative;
}
.menubar-item__link::after {
    content: "";
    position: absolute;
    background-color: #55c57a;
    height: 3px;
    width: 0%;
    left: -10%;
    bottom: -0.4rem;
    transition: 0.5s;
}
.menubar-item__link:hover::after {
    color: #fff;
    width: 120%;
}

.hero {
    height: 80vh;
    width: 100%;
    background-image: linear-gradient(
            to right bottom,
            rgba(10, 20, 40, 0.75),
            rgba(10, 20, 30, 0.75)
        ),
        url("../Image/shinhwa-hero.jpg");
    position: relative;
    background-size: cover;
}
.hero-text {
    position: absolute;
    top: 40%;
    left: 25%;
    transform: translate(-50%, -50%);
    color: #bbbbbb;
}
@media only screen and (max-width: 56.25em) {
    .hero-text {
        left: 30%;
    }
}
@media only screen and (max-width: 48em) {
    .hero-text {
        left: 35%;
    }
}
@media only screen and (max-width: 26.5em) {
    .hero-text {
        left: 40%;
    }
}
.hero-text-heading {
    text-transform: uppercase;
    font-size: 3.5rem;
    letter-spacing: 0.1rem;
}
.hero-text-desc {
    font-size: 1.2rem;
    border-bottom: 2rem;
}
.hero-text-link,
.hero-text-link:link,
.hero-text-link:visited {
    position: absolute;
    margin-top: 10px;
    text-decoration: none;
    background-color: #e30a17;
    border-radius: 1rem;
    padding: 0.5rem 1.5rem;
    color: #ccc;
}
.hero-text-link:hover,
.hero-text-link:link:hover,
.hero-text-link:visited:hover {
    background-color: #55c57a;
}

.about-content {
    flex: 0 0 40%;
    color: #000;
}
.about-content-heading {
    font-size: 2.5rem;
    border-bottom: 2px solid #e30a17;
    margin-bottom: 2rem;
    width: 30%;
}
@media only screen and (max-width: 56.25em) {
    .about-content-heading {
        font-size: 2rem;
    }
}
@media only screen and (max-width: 48em) {
    .about-content-heading {
        font-size: 1.8rem;
        width: 15%;
    }
}
@media only screen and (max-width: 26.5em) {
    .about-content-heading {
        font-size: 1.5rem;
        width: 30%;
    }
}
.about-content-desc {
    text-align: justify;
}
@media only screen and (max-width: 48em) {
    .about-content-desc {
        font-size: 1.1rem;
    }
}

.about-image {
    flex: 1;
    position: relative;
}
.about-image-img {
    width: 40%;
    position: absolute;
    transition: all 0.5s;
    z-index: 0;
}
@media only screen and (max-width: 48em) {
    .about-image-img {
        width: 25%;
    }
}
@media only screen and (max-width: 43.5em) {
    .about-image-img {
        display: none;
    }
}
.about-image-img-1 {
    top: 3rem;
    left: 15rem;
}
@media only screen and (max-width: 56.25em) {
    .about-image-img-1 {
        top: 7rem;
        left: 10rem;
    }
}
@media only screen and (max-width: 48em) {
    .about-image-img-1 {
        top: 5rem;
        left: 5rem;
    }
}
.about-image-img-2 {
    top: 17rem;
    left: 20rem;
}
@media only screen and (max-width: 56.25em) {
    .about-image-img-2 {
        left: 15rem;
    }
}
@media only screen and (max-width: 48em) {
    .about-image-img-2 {
        top: 12rem;
        left: 25rem;
    }
}
.about-image-img-3 {
    top: 8rem;
    right: 8rem;
}
@media only screen and (max-width: 56.25em) {
    .about-image-img-3 {
        top: 11rem;
        right: 5rem;
    }
}
@media only screen and (max-width: 48em) {
    .about-image-img-3 {
        top: 5rem;
    }
}
.about-image-img:hover {
    z-index: 1;
    transform: scale(1.05);
}
@media only screen and (max-width: 48em) {
    .about-image-img:hover {
        transform: none;
        z-index: 0;
    }
}

.service-heading {
    font-size: 2.5rem;
    color: #e30a17;
    margin-bottom: 2rem;
}
@media only screen and (max-width: 26.5em) {
    .service-heading {
        font-size: 1.5rem;
    }
}

.service-items {
    display: flex;
    justify-content: space-evenly;
}
.service-items__list--img {
    width: 50%;
    height: 50%;
    margin-bottom: 2rem;
}
@media only screen and (max-width: 26.5em) {
    .service-items__list--img {
        width: 30%;
        height: 30%;
    }
}
.service-items__list--heading {
    text-transform: uppercase;
    color: #e30a17;
    font-weight: bold;
}
@media only screen and (max-width: 26.5em) {
    .service-items__list--heading {
        font-size: 1rem;
    }
}

.contact-heading {
    font-size: 2.5rem;
    margin-bottom: 2rem;
}
@media only screen and (max-width: 26.5em) {
    .contact-heading {
        font-size: 1.5rem;
    }
}

.contact-info {
    display: flex;
}
@media only screen and (max-width: 48em) {
    .contact-info {
        flex-direction: column;
    }
}
.contact-info--details {
    flex: 1;
    padding: 3rem 10rem;
    text-align: justify;
}
@media only screen and (max-width: 48em) {
    .contact-info--details {
        text-align: center;
    }
}
@media only screen and (max-width: 26.5em) {
    .contact-info--details {
        font-size: 0.8rem;
    }
}
.contact-info--details__mobile {
    margin: 2rem 0rem;
}
.contact-info--details__social {
    font-size: 3rem;
}
.contact-info--details--link,
.contact-info--details--link:link,
.contact-info--details--link:visited {
    text-decoration: none;
    color: #bbb;
}

.download-heading {
    font-size: 2.5rem;
    color: #000;
}

.download-button {
    padding: 3rem 5rem;
}
.download-button__link,
.download-button__link:link,
.download-button__link:visited {
    background-color: #e30a17;
    text-decoration: none;
    color: #ccc;
    border-radius: 1rem;
    padding: 1.5rem 2.5rem;
}
